ECGOST3410Parameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.params

## Class ECGOST3410Parameters

- java.lang.Object
- - org.bouncycastle.crypto.params.ECDomainParameters
  - - org.bouncycastle.crypto.params.ECNamedDomainParameters
    - - org.bouncycastle.crypto.params.ECGOST3410Parameters

- All Implemented Interfaces:
    ECConstants

      public class ECGOST3410Parameters
      extends ECNamedDomainParameters

- - ### Field Summary

    - ### Fields inherited from interface org.bouncycastle.math.ec.ECConstants

      `EIGHT, FOUR, ONE, THREE, TWO, ZERO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECGOST3410Parameters(ECDomainParameters ecParameters, ASN1ObjectIdentifier publicKeyParamSet, ASN1ObjectIdentifier digestParamSet)`
    `ECGOST3410Parameters(ECDomainParameters ecParameters, ASN1ObjectIdentifier publicKeyParamSet, ASN1ObjectIdentifier digestParamSet, ASN1ObjectIdentifier encryptionParamSet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1ObjectIdentifier` | `getDigestParamSet()`
    `ASN1ObjectIdentifier` | `getEncryptionParamSet()`
    `ASN1ObjectIdentifier` | `getPublicKeyParamSet()`

    - ### Methods inherited from class org.bouncycastle.crypto.params.ECNamedDomainParameters

      `getName, lookup`

    - ### Methods inherited from class org.bouncycastle.crypto.params.ECDomainParameters

      `equals, getCurve, getG, getH, getHInv, getN, getSeed, hashCode, validatePrivateScalar, validatePublicPoint`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ECGOST3410Parameters

          public ECGOST3410Parameters(ECDomainParameters ecParameters,
                                      ASN1ObjectIdentifier publicKeyParamSet,
                                      ASN1ObjectIdentifier digestParamSet)

    - #### ECGOST3410Parameters

          public ECGOST3410Parameters(ECDomainParameters ecParameters,
                                      ASN1ObjectIdentifier publicKeyParamSet,
                                      ASN1ObjectIdentifier digestParamSet,
                                      ASN1ObjectIdentifier encryptionParamSet)

  - ### Method Detail

    - #### getPublicKeyParamSet

          public ASN1ObjectIdentifier getPublicKeyParamSet()

    - #### getDigestParamSet

          public ASN1ObjectIdentifier getDigestParamSet()

    - #### getEncryptionParamSet

          public ASN1ObjectIdentifier getEncryptionParamSet()